aboutsummaryrefslogtreecommitdiff
path: root/bin/bl
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-09-04 13:57:23 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-09-04 13:57:23 +1200
commit0baa0d435e29962c5bea1d79af94e1812a5d1c3c (patch)
treeb62ac6a90a7fb0541462a6873731ff16fef1df69 /bin/bl
parentRemove rmrej(1) (diff)
downloaddotfiles-0baa0d435e29962c5bea1d79af94e1812a5d1c3c.tar.gz
dotfiles-0baa0d435e29962c5bea1d79af94e1812a5d1c3c.zip
Add bl(1df)
Diffstat (limited to 'bin/bl')
-rwxr-xr-xbin/bl11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/bl b/bin/bl
new file mode 100755
index 00000000..b1831387
--- /dev/null
+++ b/bin/bl
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Generate blank lines
+if [ "$#" -ne 1 ] || [ "$1" -lt 0 ] ; then
+ printf >&2 'bl: Non-negative line count needed as sole argument\n'
+ exit 2
+fi
+n=0
+while [ "$n" -lt "${1:-0}" ] ; do
+ printf '\n'
+ n=$((n+1))
+done